#!/bin/sh

ADJUSTDONE=`/usr/sbin/fw_printenv -n 111GapAdjust || :`
OLDVER=`echo $2 | cut -d. -f1`

# if upgrading from 1.x.x and adjustment hasn't be done before
if [ $OLDVER -eq 1 ] && [ "x$ADJUSTDONE" = "x" ]
then
	HEAD1PARAM=PostPrintGap_TPH1
	HEAD2PARAM=PostPrintGap_TPH2
	ADJUSTAMOUNT=180

	HEAD1VALUE=`/usr/sbin/fw_printenv -n $HEAD1PARAM`
	HEAD2VALUE=`/usr/sbin/fw_printenv -n $HEAD2PARAM`
	HEAD1VALUE=$(expr $HEAD1VALUE + $ADJUSTAMOUNT)
	HEAD2VALUE=$(expr $HEAD2VALUE + $ADJUSTAMOUNT)

	/usr/sbin/fw_setenv $HEAD1PARAM $HEAD1VALUE
	/usr/sbin/fw_setenv $HEAD2PARAM $HEAD2VALUE
	/usr/sbin/fw_setenv 111GapAdjust 1
fi

